{% extends 'base.html.twig' %}
{% block title %} Liste des Modules du Stage{% endblock %}
{% block body %}

    <div class="page-header">

        <h1>
            MODULES
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
               LISTE MODULES DE STAGE 
            </small>
        </h1>  
        <div align="right" style="margin-right: 15px">

            <a href="{{ path('s_stages_new') }}" class="btn btn-white btn-info btn-bold">
                <i class="ace-icon fa fa-pencil bigger-120"></i>
               nouveau module de stage
            </a>

        </div>
    </div>
    <div class="alert alert-block alert-success message_flash_success1" style="display: none;">

    </div>
    <div class="alert alert-block alert-danger message_flash_success2" style="display: none;">

    </div>
    <div class="alert alert-block alert-info message_flash_info" style="display: none;">

    </div>
    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}


    <div class="row">
        <div class="col-xs-12">

            <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>#</th>

                        <th>Designation</th>
                        <th>Abreviation</th>
                        <th>Responsable</th>
                        <th>Spécialité</th>
                        <th>Service</th>
                        <th>Promotion</th>
                        <th>Fermer</th>

                        <th class="param-table-txt">Modifier</th>
                        <th class="param-table-txt">Consulter</th>
                        <th class="param-table-txt">Supprimer</th>
                        <th class="param-table-txt">Activer</th>
                        <th class="param-table-txt">Obj</th>


                    </tr>
                </thead>
            </table>




            <div class="FormObj1"></div>
            <!--Message affiché si l'opération besoin d'un argument -->
            {{ include ('s_stages/message.html.twig')}}
        </div>

    </div>

{% endblock %}


{% block javascripts %}
    {{ parent() }}

    <script>


        document.addEventListener("DOMContentLoaded", function (event) {
            $('#grid').show(500);
        });


        var dataTable = $('#grid').DataTable({
            "iDisplayLength": 10,
            "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
            "order": [[0, "DESC"]],
            "columnDefs": [
                {"orderable": false, "targets": 1}
            ],
            "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",
                "processing": true
            },
            "serverSide": false,
            "ajax": {
                url: Routing.generate('stages_list'), // json datasource
                type: "get"

            }
        });






        $('#grid').on('click', '.delete_action', function (event) {
            //     $('.delete_action').click(function (event) {
            var id = $(this).attr('rel');
            //alert(id);
            bootbox.confirm({
                title: "Confirmation",
                message: "<h5>Souhaitez-vous supprimer cet enregistrement?  </h5>",
                buttons: {
                    cancel: {
                        label: '<i class="fa fa-times"></i>Annuler'
                    },
                    confirm: {
                        label: '<i class="fa fa-check"></i> Oui'
                    }
                },
                callback: function (confirmation) {
                    if (confirmation == true) {
                        $(".message_flash_success1").hide();
                          $(".message_flash_success2").hide();
                        $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
                        $.ajax({
                            url: Routing.generate('s_stages_delete', {id: id}),
                            success: function (result) {
                                var parsed = jQuery.parseJSON(result);
                                if (parsed.a == 1) {
                                     $(".message_flash_info").hide();
                                    $(".message_flash_success1").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")
                                    dataTable.ajax.reload();
                                } else {
                                     $(".message_flash_info").hide();
                                    $(".message_flash_success2").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")

                                }

                            }


                        });


                    }
                }
            });


            event.preventDefault();
        });
        /**********Select row from my-grid **********/
        $('#grid').on('click', 'tbody tr', function (event) {
            $("#grid tbody tr").each(function () {
                $(this).removeClass('active active-row');
            });
            $(this).addClass('active active-row');
            //event.preventDefault();
        });

        $('#grid').on('click', '.disable_action', function (event) {

            //  $('.active_enseignant').click(function (event) {
            //  alert($(this).attr('rel'));


            var id = $(this).attr('rel');
            var etat = $(this).attr('href');
            var text = "";
            if (etat == 1) {
                text = "désactiver";

            } else {
                etat = 0;
                text = "activer";
            }





            bootbox.confirm({
                title: "Confirmation",
                message: "<h5>Souhaitez-vous "+text+" ce Module? </h5>",
                buttons: {
                    cancel: {
                        label: '<i class="fa fa-times"></i> Annuler'
                    },
                    confirm: {
                        label: '<i class="fa fa-check"></i> Oui'
                    }
                },
                callback: function (confirmation) {


                    if (confirmation == true) {
                                                $(".message_flash_success1").hide();
                          $(".message_flash_success2").hide();
                        $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
                        $.ajax({
                            url: Routing.generate('s_stages_disable', {id: id, etat: etat}),
                            success: function (result) {
                                var parsed = jQuery.parseJSON(result);
                                 $(".message_flash_info").hide();
                                $(".message_flash_success1").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                dataTable.ajax.reload();

                            }


                        });


                    }
                }
            });


            event.preventDefault();
        });























        $('#obj1').click(function () {
            var id = $('.active-row').attr("id");
            // alert(code);
            if (id) {
                $.ajax({
                    type: 'GET',
                    url: Routing.generate('s_stages_niv'),
                    data: {id: id},
                    success: function (result) {
                        $('.FormObj1').html(result);
                        $('#obj1Model').modal('show');
                    }
                });
            } else {
                $('#MessageModel').modal('show');
            }
        });

        /*$('#obj1').click(function() {
         
         var url = Routing.generate('s_stages_niv', {'id': $('.active-row').attr("id")});
         $.get(url, function (data) {
         $(".modal-content").html(data);
         });
         });*/

    </script>

{% endblock %}
